/* RESET */
*{
  margin:0;
  padding:0;
  box-sizing:border-box;
}

body{
  background:#000;
  padding-top:80px;
}

html{
  scroll-behavior:smooth;
}

/* NAVBAR */

.navbar{
  background-color:#000 !important;
}

/* TITULO */

@font-face{
  font-family:"Hyperwave";
  src:url("Hyperwave.otf") format("opentype");
  font-display:swap;
}

h1{
  font-family:"Hyperwave";
  color:#F4C430;
}

#inicio h1{
  font-size:clamp(60px,10vw,190px);
}

#titulo{
  animation:fadeMove 2s ease-in-out;
}

@keyframes fadeMove{

  0%{
    opacity:0;
    transform:translateY(20px);
  }

  50%{
    opacity:1;
    transform:translateY(0);
  }

  100%{
    opacity:0;
    transform:translateY(-20px);
  }

}

/* SECCIONES */

section{
  scroll-margin-top:90px;
}

#inicio h2{
  color:#D4AF37;
}

#flota h2,
#flota h5{
  color:#D4AF37;
}

#faqs h2{
  color:#D4AF37;
}

/* CARDS AUTOS */

.card{
  background:#1f1f1f;
  color:#ffc107;
  border:none;
}

.card-img-top{
  height:220px;
  object-fit:cover;
  padding:15px;
  background:#545151;

  box-shadow:0 0 20px rgba(0,0,0,0.6);
  transition:0.3s;
}

.card-img-top:hover{
  transform:translateY(-8px);
  box-shadow:0 0 30px rgba(255,140,0,1);
}

/* POR QUE ELEGIRNOS */

#porque-elegirnos{
  padding:80px 110px;
  text-align:center;
}

#porque-elegirnos h2{
  margin-bottom:40px;
  color:#D4AF37;
}

.beneficios{
  display:grid;
  gap:30px;
  max-width:1100px;
  margin:0 auto;
}

@media (min-width:768px){
  .beneficios{
    grid-template-columns:repeat(3,1fr);
  }
}

.beneficios article{
  background:rgb(50,49,49);
  padding:30px;
  border-radius:12px;
  box-shadow:0 4px 10px rgba(255,98,0,0.5);
}

#porque-elegirnos article h3,
#porque-elegirnos article p{
  color:#D4AF37;
}

/* COMO FUNCIONA */

#como-funciona{
  padding:80px 20px;
  text-align:center;
}

#como-funciona h2{
  margin-bottom:70px;
  color:#D4AF37;
}

.pasos{
  display:grid;
  gap:30px;
  max-width:1000px;
  margin:0 auto;
}

@media (min-width:786px){
  .pasos{
    grid-template-columns:repeat(4,1fr);
  }
}

.paso{
  background:rgb(50,49,49);
  padding:30px;
  border-radius:12px;
  box-shadow:0 4px 12px rgba(255,234,0,0.3);
  z-index:1000;
}

/* FAQ */

.faq-item{
  border:1px solid rgba(255,255,255,0.3);
  border-radius:8px;
  margin-bottom:15px;
  padding:15px;
}

.faq-item summary{
  cursor:pointer;
  font-weight:500;
  list-style:none;
  color:#ffffff;
}

.faq-item summary::-webkit-details-marker{
  display:none;
}

.faq-content{
  color:#D4AF37;
  overflow:hidden;
  max-height:0;
  transition:max-height 0.5s ease;
}

.faq-item[open] .faq-content{
  max-height:200px;
  margin-top:10px;
}

/* PRECIOS */

#precios h2{
  text-align:center;
  color:#D4AF37;
}

#precios h3{
  text-align:center;
  padding:20px;
  margin-bottom:70px;
  color:#D4AF37;
}

.titulo{
  text-align:center;
  margin-top:50px;
  color:#ffc107;
}

.contenedor-precios{
  display:flex;
  justify-content:center;
  gap:40px;
  flex-wrap:wrap;
  margin-top:40px;
}

.card-precio{
  background:#3a3a3a;
  width:300px;
  padding:25px;
  border-radius:15px;
  text-align:center;
  color:#ffc107;

  box-shadow:0 0 20px rgba(255,140,0,0.6);
  transition:0.3s;
}

.card-precio:hover{
  transform:translateY(-8px);
  box-shadow:0 0 30px rgba(255,140,0,1);
}

.card-precio h3{
  margin-bottom:15px;
}

.card-precio p{
  margin:6px 0;
}

/* WHATSAPP BUTTON */

.whatsapp-btn{
  position:fixed;
  bottom:20px;
  right:20px;

  background:#f9f9f9;

  width:50px;
  height:50px;

  border-radius:50%;
  display:flex;
  justify-content:center;
  align-items:center;

  text-decoration:none;

  box-shadow:0 4px 10px rgba(0,0,0,0.3);
  z-index:1000;
}

.whatsapp-btn img{
  width:28px;
  height:28px;
}

.whatsapp-btn:hover{
  transform:scale(1.1);
  transition:0.3s;
}

/* FOOTER */

.footer-custom{
  background-color:#0b0320;
}

.footer-custom p{
  margin-bottom:8px;
  color:#cfcfcf;
  font-size:14px;
}

.footer-links li{
  margin-bottom:10px;
}

.footer-links a{
  color:#cfcfcf;
  text-decoration:none;
  transition:0.3s;
}

.footer-links a:hover{
  color:#f5b400;
}

/* REDES */

.social-icons a{
  display:inline-flex;
  align-items:center;
  justify-content:center;
  width:40px;
  height:40px;
  background:white;
  border-radius:50%;
  margin-right:10px;
  transition:0.3s;
}

.social-icons a:hover{
  background:#f5b400;
}

/* ICONOS */

.icono-red{
  width:24px;
  height:24px;
}

/* INSTAGRAM GRID */

.instagram-grid{
  display:grid;
  grid-template-columns:repeat(3,1fr);
  gap:10px;
}

.instagram-grid a{
  display:block;
  overflow:hidden;
  border-radius:12px;
}

.instagram-grid img{
  width:100%;
  border-radius:12px;
  object-fit:cover;
  transition:0.3s;
}

.instagram-grid img:hover{
  transform:scale(1.08);
}

#info-pasajeros{
  color: #ff8000;
}